Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(93)

Issue 14189035: Reduce jitter from uneven SincResampler buffer size requests. (Closed)

Created:
7 years, 5 months ago by DaleCurtis
Modified:
7 years, 4 months ago
CC:
chromium-reviews, jamiewalch+watch_chromium.org, hclam+watch_chromium.org, simonmorris+watch_chromium.org, dcaiafa+watch_chromium.org, wez+watch_chromium.org, amit, sanjeevr, garykac+watch_chromium.org, feature-media-reviews_chromium.org, lambroslambrou+watch_chromium.org, rmsousa+watch_chromium.org, alexeypa+watch_chromium.org, sergeyu+watch_chromium.org, ajm
Visibility:
Public.

Description

Reduce jitter from uneven SincResampler buffer size requests. Ensures all buffer requests are for the same size. Reduces jitter by allowing clients with specific buffer size requirements to avoid overreading. BUG=none TEST=media_unittests. R=crogers@google.com, henrika@chromium.org, sergeyu@chromium.org Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=199032

Patch Set 1 #

Total comments: 1

Patch Set 2 : Cleanup. #

Total comments: 17

Patch Set 3 : Comments. #

Patch Set 4 : Fixes. #

Total comments: 2

Patch Set 5 : Documentation. #

Total comments: 10

Patch Set 6 : Comments. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+283 lines, -165 lines) Patch
M media/base/audio_converter.cc View 1 2 3 4 5 3 chunks +12 lines, -9 lines 0 comments Download
M media/base/audio_converter_unittest.cc View 1 2 3 2 chunks +83 lines, -35 lines 0 comments Download
M media/base/fake_audio_render_callback.cc View 1 chunk +1 line, -1 line 0 comments Download
M media/base/multi_channel_resampler.h View 1 2 2 chunks +7 lines, -4 lines 0 comments Download
M media/base/multi_channel_resampler.cc View 1 2 3 chunks +16 lines, -7 lines 0 comments Download
M media/base/multi_channel_resampler_unittest.cc View 1 2 3 3 chunks +6 lines, -5 lines 0 comments Download
M media/base/sinc_resampler.h View 1 2 3 4 4 chunks +27 lines, -21 lines 0 comments Download
M media/base/sinc_resampler.cc View 1 2 3 4 5 7 chunks +107 lines, -63 lines 0 comments Download
M media/base/sinc_resampler_unittest.cc View 1 2 3 11 chunks +18 lines, -17 lines 0 comments Download
M remoting/codec/audio_encoder_opus.cc View 1 2 3 4 5 4 chunks +6 lines, -3 lines 0 comments Download

Messages

Total messages: 20 (0 generated)
DaleCurtis
Hey Chris, he's my WIP enhancements for SincResampler. Early testing shows it works fine without ...
7 years, 5 months ago (2013-04-24 01:32:19 UTC) #1
Chris Rogers
Thanks Dale, I had a very quick look. The basic idea of being able to ...
7 years, 5 months ago (2013-04-24 03:25:07 UTC) #2
henrika (OOO until Aug 14)
https://codereview.chromium.org/14189035/diff/1/media/base/sinc_resampler.cc File media/base/sinc_resampler.cc (right): https://codereview.chromium.org/14189035/diff/1/media/base/sinc_resampler.cc#newcode102 media/base/sinc_resampler.cc:102: CHECK_GT(block_size_, kKernelSize) Does not compile on Windows: [1/1] CXX ...
7 years, 5 months ago (2013-04-26 08:57:46 UTC) #3
DaleCurtis
Should be all cleaned up and ready for review. The performance is unchanged relative to ...
7 years, 4 months ago (2013-04-27 01:18:46 UTC) #4
henrika (OOO until Aug 14)
LGTM w/ nits. https://codereview.chromium.org/14189035/diff/12001/media/base/multi_channel_resampler.cc File media/base/multi_channel_resampler.cc (right): https://codereview.chromium.org/14189035/diff/12001/media/base/multi_channel_resampler.cc#newcode35 media/base/multi_channel_resampler.cc:35: // Optimize the single channel case ...
7 years, 4 months ago (2013-04-27 19:43:40 UTC) #5
Chris Rogers
https://codereview.chromium.org/14189035/diff/12001/media/base/multi_channel_resampler.h File media/base/multi_channel_resampler.h (right): https://codereview.chromium.org/14189035/diff/12001/media/base/multi_channel_resampler.h#newcode36 media/base/multi_channel_resampler.h:36: void Resample(AudioBus* audio_bus, int frames); Wouldn't it be better ...
7 years, 4 months ago (2013-04-28 19:50:56 UTC) #6
Sergey Ulanov
remoting - LGTM after my comment in audio_encoder_opus.cc is addressed. I also have a couple ...
7 years, 4 months ago (2013-04-29 06:23:36 UTC) #7
Sergey Ulanov
https://codereview.chromium.org/14189035/diff/12001/remoting/codec/audio_encoder_opus.cc File remoting/codec/audio_encoder_opus.cc (right): https://codereview.chromium.org/14189035/diff/12001/remoting/codec/audio_encoder_opus.cc#newcode83 remoting/codec/audio_encoder_opus.cc:83: media::SincResampler::kDefaultBlockSize, On 2013/04/29 06:23:37, sergeyu wrote: > I think ...
7 years, 4 months ago (2013-04-29 07:16:54 UTC) #8
henrika (OOO until Aug 14)
Dale, could you please expose SetRatio in AudioConverter as well since I need it for ...
7 years, 4 months ago (2013-04-29 09:14:41 UTC) #9
DaleCurtis
https://codereview.chromium.org/14189035/diff/12001/media/base/multi_channel_resampler.h File media/base/multi_channel_resampler.h (right): https://codereview.chromium.org/14189035/diff/12001/media/base/multi_channel_resampler.h#newcode36 media/base/multi_channel_resampler.h:36: void Resample(AudioBus* audio_bus, int frames); On 2013/04/28 19:50:56, Chris ...
7 years, 4 months ago (2013-04-29 18:50:03 UTC) #10
Chris Rogers
On 2013/04/29 18:50:03, DaleCurtis wrote: > https://codereview.chromium.org/14189035/diff/12001/media/base/multi_channel_resampler.h > File media/base/multi_channel_resampler.h (right): > > https://codereview.chromium.org/14189035/diff/12001/media/base/multi_channel_resampler.h#newcode36 > ...
7 years, 4 months ago (2013-04-29 19:38:13 UTC) #11
DaleCurtis
sergeyu: Haven't made the requested remoting/ change yet, please confirm that's really what you want. ...
7 years, 4 months ago (2013-04-29 22:12:31 UTC) #12
Sergey Ulanov
https://codereview.chromium.org/14189035/diff/12001/remoting/codec/audio_encoder_opus.cc File remoting/codec/audio_encoder_opus.cc (right): https://codereview.chromium.org/14189035/diff/12001/remoting/codec/audio_encoder_opus.cc#newcode83 remoting/codec/audio_encoder_opus.cc:83: media::SincResampler::kDefaultBlockSize, On 2013/04/29 22:12:31, DaleCurtis wrote: > On 2013/04/29 ...
7 years, 4 months ago (2013-05-01 02:06:25 UTC) #13
Chris Rogers
Sorry Dale, I thought I had published this draft on Friday. https://codereview.chromium.org/14189035/diff/42001/media/base/sinc_resampler.cc File media/base/sinc_resampler.cc (right): ...
7 years, 4 months ago (2013-05-06 21:17:31 UTC) #14
DaleCurtis
https://codereview.chromium.org/14189035/diff/42001/media/base/sinc_resampler.cc File media/base/sinc_resampler.cc (right): https://codereview.chromium.org/14189035/diff/42001/media/base/sinc_resampler.cc#newcode43 media/base/sinc_resampler.cc:43: // and reinitialize r0_, r3_, and r4_ appropriately. On ...
7 years, 4 months ago (2013-05-06 22:52:09 UTC) #15
Chris Rogers
Dale, thanks for cleaning up the diagram/comments - that helps a huge amount lgtm with ...
7 years, 4 months ago (2013-05-07 22:57:52 UTC) #16
DaleCurtis
https://codereview.chromium.org/14189035/diff/12001/remoting/codec/audio_encoder_opus.cc File remoting/codec/audio_encoder_opus.cc (right): https://codereview.chromium.org/14189035/diff/12001/remoting/codec/audio_encoder_opus.cc#newcode83 remoting/codec/audio_encoder_opus.cc:83: media::SincResampler::kDefaultBlockSize, On 2013/05/01 02:06:25, Sergey Ulanov wrote: > On ...
7 years, 4 months ago (2013-05-07 23:49:40 UTC) #17
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/dalecurtis@chromium.org/14189035/57011
7 years, 4 months ago (2013-05-08 14:12:43 UTC) #18
commit-bot: I haz the power
Retried try job too often on win_rel for step(s) browser_tests http://build.chromium.org/p/tryserver.chromium/buildstatus?builder=win_rel&number=145703
7 years, 4 months ago (2013-05-08 22:22:39 UTC) #19
DaleCurtis
7 years, 4 months ago (2013-05-08 22:53:32 UTC) #20
Message was sent while issue was closed.
Committed patchset #6 manually as r199032 (presubmit successful).

Powered by Google App Engine
This is Rietveld 408576698